# gio.MemoryInputStream

Base class for implementing streaming input

## Synopsis

gio.MemoryInputStream
gio.InputStream
gio.MemoryInputStream
add_data
data

    Functions

        gio.memory_input_stream_new_from_data
        data

## Ancestry

    +-- gobject.GObject
      +-- gio.InputStream
        +-- gio.MemoryInputStream

## Implemented Interfaces

`gio.MemoryInputStream` implements `gio.Seekable`

## Description

`gio.MemoryInputStream` is a class for using arbitrary memory chunks as input for GIO streaming input operations.

## Constructor

                gio.MemoryInputStream
                icon

Returns :

  a new `gio.MemoryInputStream`.

Creates an empty `gio.MemoryInputStream`.

## Methods

### gio.MemoryInputStream.add_data

                    add_data
                    data

`data` :

  input data.

The `add_data`() method appends data to data that can be read from the input stream

## Functions

### gio.memory_input_stream_new_from_data

                    memory_input_stream_new_from_data
                    data

`data` :

  input data.

Returns :

  A new `gio.MemoryInputStream` read from data

The `memory_input_stream_new_from_data`() function creates a new `gio.MemoryInputStream` with data in memory.